## Get all file configurations

### cURL

```bash
curl --request GET \
  --url 'https://api.fabric.inc/v3/inventory-import-configs?limit=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/inventory-import-configs?limit=10"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/inventory-import-configs?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Examples

#### Successful Response (200)
```json
{
  "data": [
    {
      "filePrefix": "oms_",
      "groupName": "Location0or2",
      "rules": {
        "locationFilters": [
          {
            "condition": "EQ",
            "field": "locationNum",
            "value": "11245"
          },
          {
            "condition": "IN",
            "field": "type",
            "values": [
              "DC",
              "STORE"
            ]
          }
        ]
      },
      "id": "821018391"
    }
  ],
  "pagination": {
    "count": 1000,
    "limit": 10,
    "offset": 1
  }
}
```

#### Bad Request (400)
```json
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```

#### Unauthorized Request (401)
```json
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
```

#### Internal Server Error (500)
```json
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}
```

### Authorizations

**Authorization**  
`string` (header)  
Required: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

**x-fabric-tenant-id**  
`string` (required)  
A header used by fabric to identify the tenant making the request.

### Query Parameters

**offset**  
`integer<int32>` (default: 0)  
Omit a specified number of rows before the beginning of the result set.

**limit**  
`integer<int32>` (default: 10)  
The maximum number of results to show on a page (required range: `1 <= x <= 100`).
